/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.1.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  font-size: 62.5%;

  /* Colors */
  --color-primary: #730039;
  --color-primary-m-light: hsla(330, 100%, 23%, 0.55);
  --color-primary-m-dark: hsla(330, 100%, 23%, 0.85);

  --color-secondary: #ffc513;
  --color-secondary-m-light: hsla(45, 100%, 54%, 0.55);
  --color-secondary-m-dark: rgba(255, 196, 19, 0.85);

  --color-tertiary: #ff724c;
  --color-tertiary-m-light: hsla(13, 100%, 65%, 0.55);
  --color-tertiary-m-dark: rgba(255, 115, 76, 0.85);

  --color-quaternary: #f6eedf;
  --color-quaternary-m-light: hsla(39, 56%, 92%, 0.55);
  --color-quaternary-m-dark: hsla(39, 56%, 92%, 0.85);

  /* Transtion Duration */
  --transition-duration: 0.2s;

  /* Section Title Font Size */
  --font-size-title: calc(2rem + 2vw);

  /* Section Padding */
  --padding-section: 8vh 3vw;
}

body {
  font-family: "Titillium Web", sans-serif;
  line-height: 1.7;
  background-color: var(--color-quaternary);
}

.container {
  display: grid;
  grid-template-columns: [container-start] 1fr [center-start] repeat(10, [col-start] minmax(min-content, 11rem) [col-end]) [center-end] 1fr [container-end];
  grid-template-rows: 100vh repeat(8, min-content);
}

a:link,
a:visited {
  color: var(--color-quaternary);
  text-decoration: none;
  font-size: calc(0.5rem + 1vw);
  padding: 1rem 2rem;
  border-radius: 0.3rem;
  position: relative;
  transition: all var(--transition-duration) cubic-bezier(1, 0, 0, 1);
  z-index: 1;
}

p {
  color: white;
  font-size: calc(1rem + 1vw);
  font-weight: 300;
}

ul {
  padding-inline-start: 0;
}

li {
  list-style: none;
  margin-bottom: 4rem;
}

i {
  font-size: var(--font-size-title);
  color: var(--color-secondary);
}

/* ---------------------------------------------------------------------- */
header#header {
  grid-column: container-start/container-end;
  background: linear-gradient(
  var(--color-primary-m-light),
  var(--color-primary-m-light)),
  url('../img/hero.jpg') no-repeat center;
  background-size: cover;
}

.header__main-nav {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 2;
}

/* ------ MENU ICON ------ */
.header__main-nav input[type=checkbox] {
  position: absolute;
  top: 3rem;
  left: 3rem;
  height: 7rem;
  width: 7rem;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}
.header__main-nav--icon {
  position: absolute;
  top: 3rem;
  left: 3rem;
  height: 5rem;
  width: 5rem;
  padding: 1rem;
  background-color: var(--color-secondary);
  z-index: 2;

  display: flex;
  justify-content: center;
  align-items: center;

  animation: main-nav 2s;
}
.header__main-nav--icon > div {
  position: relative;
  height: 0.3rem;
  width: 80%;
  background-color: var(--color-quaternary);

  display: flex;
  justify-content: center;
  align-items: center;

  transition: all var(--transition-duration);
}

.header__main-nav--icon > div::before,
.header__main-nav--icon > div::after {
  content: "";
  position: absolute;
  height: inherit;
  background-color: inherit;
  z-index: 2;
}

.header__main-nav--icon > div::before {
  top: -1rem;
  width: 100%;
}
.header__main-nav--icon > div::after {
  top: 1rem;
  width: 100%;
}

/* ------ MENU ICON ANIMATION ------ */
.header__main-nav input[type="checkbox"]:checked + .header__main-nav--icon > div {
  transform: rotate(45deg);
}
.header__main-nav input[type="checkbox"]:checked + .header__main-nav--icon > div::before {
  left: 0;
  top: 0;
  width: 100%;
  transform: rotate(90deg);
}
.header__main-nav input[type="checkbox"]:checked + .header__main-nav--icon > div::after {
  opacity: 0;
}

/* ------ MENU ITEMS ------ */
.header__main-nav--menu {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  visibility: hidden;
  overflow: hidden;

  display: grid;
  place-items: center;
}
.header__main-nav--menu > div {
  background-color: var(--color-secondary-m-dark);
  height: 200%;
  width: 200%;

  display: grid;
  place-items: center;

  transform: scaleX(0);
  transition: all var(--transition-duration) ease-in-out;
}
.header__main-nav--menu > div > div {
  text-align: center;
  max-width: 90vw;
  max-height: 100vh;
  opacity: 0;
  transition: opacity 1s ease-in-out;
}

/* ------ MENU ITEMS ANIMATION ------ */
.header__main-nav input[type="checkbox"]:checked ~ .header__main-nav--menu {
  visibility: visible;
}
.header__main-nav input[type="checkbox"]:checked ~ .header__main-nav--menu > div {
  transform: scaleX(1);
}
.header__main-nav input[type="checkbox"]:checked ~ .header__main-nav--menu > div > div {
  opacity: 1;
}

.header__main-nav--menu ul li a:link,
.header__main-nav--menu ul li a:visited {
  z-index: 5;
  font-size: calc(1.5rem + 1vw);
  position: relative;
}

.header__main-nav--menu ul li a:link::before,
.header__main-nav--menu ul li a:visited::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: -1;
  transform: scaleY(0);
  background-color: var(--color-primary-m-dark);
  transition: transform var(--transition-duration) ease-in-out;
}

.header__main-nav--menu ul li a:hover::before,
.header__main-nav--menu ul li a:active::before {
  transform: scaleY(1);
}

/* ------ HEADER CONTENT ------ */
.header__content {
  display: grid;
  grid-template-columns: 1fr minmax(30rem, 1fr) 1fr;
  grid-template-rows: min-content;
  height: 90%;
  justify-items: center;
}

.header__content--logo {
  grid-column: 2/3;
}
.header__content--logo span {
  color: var(--color-tertiary);
  font-size: 3rem;
  font-family: "Times New Roman", Times, serif;
}

.header__content--content {
  grid-column: 1/-1;
  align-self: center;
}
.header__content--title {
  font-size: calc(4rem + 4vw);
  font-weight: 600;
  color: white;
  text-transform: uppercase;
  padding: 0 2rem 0 var(--font-size-title);
}
.header__content--paragraph {
  font-size: calc(1rem + 2vw);
  font-weight: 200;
  padding: 2vh 2rem 6vh var(--font-size-title);
}

.header__content--button:link,
.header__content--button:visited {
  margin-left: var(--font-size-title);
  border: 0.2rem solid var(--color-tertiary);
}

.header__content--button:link::before,
.header__content--button:visited::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: var(--color-tertiary);
  transform: scaleX(0);
  transition: transform 0.45s cubic-bezier(1, 0, 0, 1);
  z-index: -1;
}

.header__content--button:hover::before,
.header__content--button:active::before {
  transform: scaleX(1);
}

/* ---------------------------------------------------------------------- */
section#booking_content {
  grid-column: center-start / col-end 6;
  padding: var(--padding-section);

  display: grid;
  grid-template-rows: repeat(3, max-content);
  grid-gap: 2vh;
}

/* ------ BOOKING CONTENT TITLE ------ */
.booking_content__title {
  font-size: var(--font-size-title);
  padding: 0 2rem 1rem;
  font-weight: 300;
  position: relative;
}
.booking_content__title::after {
  content: "";
  bottom: 0;
  left: 15%;
  position: absolute;
  height: 0.3rem;
  width: 30%;
  color: black;
  background-color: var(--color-secondary);
}

/* ------ BOOKING CONTENT TEXT ------ */
.booking_content__text,
.booking_date__contact p{
  color: dimgrey;
}

/* ------ BOOKING CONTENT ICONS ------ */
.booking_content__icons {
  display: flex;
  justify-content: space-around;
}

.booking_content__icons-weather,
.booking_content__icons-time {
  display: flex;
  align-items: center;
}

.booking_content__icons-weather > i,
.booking_content__icons-time > i {
  padding-right: 2rem;
  color: var(--color-secondary);
  font-weight: 100;
}

.booking_content__icons-weather > p,
.booking_content__icons-time > p {
  color: dimgrey;
}

/* ---------------------------------------------------------------------- */
section#booking_date {
  grid-column: col-start 7 / center-end;
  padding: var(--padding-section);

  display: grid;
  grid-template-rows: repeat(2, 1fr);
}

/* ------ BOOKING SCHEDULE DATE SELECTOR ------ */
.booking_date__schedule {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 2vw;
  place-items: center;
  width: max-content;
  align-content: space-between;
}

/* ------ BOOKING SCHEDULE DATE CONTAINER ------ */
.booking_date__schedule > div {
  width: 100%;
}

/* ------ BOOKING SCHEDULE DATE TITLE ------ */
.booking_date__schedule-title {
  font-size: calc(1rem + 1vw);
  text-align: center;
  padding-bottom: 3rem;
}

/* ------ BOOKING SCHEDULE DATE CONTENT ------ */
.booking_date__schedule-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--color-secondary);
  padding: 0 4rem;
  position: relative;
}
.booking_date__schedule-content p:nth-of-type(2) {
  font-size: 3rem;
  font-weight: 700;
}
.booking_date__schedule-content::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  border-width: 1.5rem;
  margin-left: -1.5rem;
  border-style: solid;
  border-color: transparent transparent var(--color-secondary) transparent;
}

/* ------ BOOKING SCHEDULE CONTACT CONTAINER ------ */
.booking_date__contact {
  align-self: end;
}

/* ------ BOOKING SCHEDULE RESERVATION LINK ------ */
.booking_date__contact-link:link,
.booking_date__contact-link:visited {
  background-color: var(--color-secondary);
  color: white;
  transition: all var(--transition-duration) ease-in-out;
}

.booking_date__contact-link:hover,
.booking_date__contact-link:active {
  color: var(--color-secondary);
  background-color: white;
  border: 0.1rem var(--color-secondary) solid;
}

/* ------ BOOKING SCHEDULE CONTACT TEXT ------ */
.booking_date__contact p:first-of-type {
  margin-top: 4rem;
}
.booking_date__contact > p {
  font-size: 2rem;
}

/* ---------------------------------------------------------------------- */
section#villas {
  grid-column: container-start/container-end;

  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(40rem, 1fr));
  grid-gap: 2rem;
}

div[class^=villas__villa] {
  padding: 2rem;
  background-position: center;
  background-size: cover;
  transition: transform var(--transition-duration) ease-in-out;
}

div[class^=villas__villa]:hover,
div[class^=villas__villa]:active {
  transform: scale(1.05);
}

div[class^=villas__villa] > h2 {
  font-size: var(--font-size-title);
  padding: 0 2rem 1rem 0;
  font-weight: 400;
  color: white;
  text-transform: uppercase;
}

div[class^=villas__villa] > p {
  font-size: 2rem;
  margin: 1.5rem 0 4rem 0;
  color: white;
  font-weight: 500;
}

div[class^=villas__villa] > a:link,
div[class^=villas__villa] > a:visited {
  display: inline-block; /* To be able to apply margin */
  margin-bottom: 2rem;
  background-color: white;
  color: var(--color-primary);
  z-index: 1;
  overflow: hidden;
}

div[class^=villas__villa] > a:hover,
div[class^=villas__villa] > a:active {
  color: white;
}

div[class^=villas__villa] > a:link::before,
div[class^=villas__villa] > a:visited::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 0;
  z-index: -1;
  background-color: var(--color-secondary);
  transition: height var(--transition-duration)  ease-in-out;

  transform: translate(-50%, -50%) rotate(45deg);
}

div[class^=villas__villa] > a:hover::before,
div[class^=villas__villa] > a:active::before {
  height: 400%;
}

.villas__villa-1 {
  background: linear-gradient(
    var(--color-primary-m-light),
    var(--color-tertiary-m-light)
  ),
  url('../img/Villas/villa-1.jpg');
}
.villas__villa-2 {
  background: linear-gradient(
    var(--color-primary-m-light),
    var(--color-tertiary-m-light)
  ),
  url('../img/Villas/villa-2.jpg');
}
.villas__villa-3 {
  background: linear-gradient(
    var(--color-primary-m-light),
    var(--color-tertiary-m-light)
  ),
  url('../img/Villas/villa-3.jpg');
}
.villas__villa-4 {
  background: linear-gradient(
    var(--color-primary-m-light),
    var(--color-tertiary-m-light)
  ),
  url('../img/Villas/villa-4.jpg');
}
.villas__villa-5 {
  background: linear-gradient(
    var(--color-primary-m-light),
    var(--color-tertiary-m-light)
  ),
  url('../img/Villas/villa-5.jpg');
}
.villas__villa-6 {
  background: linear-gradient(
    var(--color-primary-m-light),
    var(--color-tertiary-m-light)
  ),
  url('../img/Villas/villa-6.jpg');
}


/* ---------------------------------------------------------------------- */
section#motto {
  background-color: var(--color-primary);
  grid-column: container-start/container-end;
  padding: 10vh 3vw;
}

.motto__content {
  width: 80%;
  margin: 0 auto;
  text-align: center;
}
.motto__content--title {
  font-size: var(--font-size-title);
  padding: 0 2rem;
  font-weight: 300;
  color: white;
  position: relative;
  margin-bottom: 2rem;
  text-transform: uppercase;
}
.motto__content--title::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 45%;
  height: 0.2rem;
  width: 10%;
  background-color: white;
}

/* ---------------------------------------------------------------------- */
section#events_content {
  grid-column: container-start/col-end 9;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

section#events_content > div,
section#features_content > div {
  padding: var(--padding-section);
  display: grid;

  grid-template-areas: /* --------- Example of grid template areas ------- */
    "title"
    "text";
  grid-row-gap: 4vh;
  align-items: center;
  justify-items: start;
}

section#events_content > div h2[class*="title"],
section#features_content > div h2[class*="title"] {
  grid-area: title;
  font-size: var(--font-size-title);
  font-weight: 400;
  color: white;
}

section#events_content > div p[class*="text"],
section#features_content > div p[class*="text"] {
  grid-area: text;
  color: white;
  font-weight: 500;
}

section#events_content > div:first-child {
  background: linear-gradient(
    var(--color-tertiary-m-light),
    var(--color-tertiary-m-light)
  ),
  url("../img/Events/beach-party.jpg");
  border-right: solid 0.2rem var(--color-tertiary);
}
section#events_content > div:last-child {
  background: linear-gradient(
    var(--color-tertiary-m-light),
    var(--color-tertiary-m-light)
  ),
  url("../img/Events/culture-discovery.jpg");
  border-left: solid 0.2rem var(--color-tertiary);
}
section#events_content > div:first-child,
section#events_content > div:last-child {
  background-size: cover;
  background-position: center;
}

/* ---------------------------------------------------------------------- */
section#events_title {
  background-color: var(--color-tertiary);
  grid-column: col-start 10/container-end;

  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  place-items: center;
}

.events_title__content {
  transform: rotate(0.25turn);
}
.events_title__content-title {
  font-size: var(--font-size-title);
  font-weight: 500;
  color: white;
  letter-spacing: 0.2rem;
}

/* ---------------------------------------------------------------------- */
section#features_title {
  background-color: var(--color-secondary);
  grid-column: center-start/col-end 1;

  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  place-items: center;
}

.features_title__content {
  transform: rotate(-0.25turn);
}
.features_title__content-title {
  font-size: var(--font-size-title);
  font-weight: 500;
  color: white;
  letter-spacing: 0.2rem;
}

/* ---------------------------------------------------------------------- */
section#features_content {
  grid-column: col-start 2/container-end;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

section#features_content > div:first-child,
section#features_content > div:last-child {
  background-size: cover;
  background-position: center;
}

section#features_content > div:first-child {
  background: linear-gradient(
    var(--color-tertiary-m-light),
    var(--color-tertiary-m-light)
  ),
  url("../img/Features/cocktail.jpg");
  border-right: solid 0.2rem var(--color-tertiary);
}
section#features_content > div:last-child {
  background: linear-gradient(
    var(--color-tertiary-m-light),
    var(--color-tertiary-m-light)
  ),
  url("../img/Features/surfing.jpg");
  border-left: solid 0.2rem var(--color-tertiary);
}

/* ---------------------------------------------------------------------- */
section#testimonials {
  grid-column: center-start/center-end;
  padding: var(--padding-section);

  display: grid;
  grid-template-columns: repeat(auto-fit, 28rem);
  grid-gap: 5rem;
  place-content: center;
}

.testimonials__card {
  width: 100%;
  height: 50rem;
  position: relative;
}

.testimonials__card-front,
.testimonials__card-back {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: all 0.5s ease-in-out;
  backface-visibility: hidden;
  transform: perspective(100rem);

  display: grid;
  justify-items: center;
  align-items: start;
  padding: 3rem;
}

.testimonials__card-front h2 {
  background-color: var(--color-secondary);
  padding: 1rem;
  border-bottom-right-radius: 50%;
  border-bottom-left-radius: 50%;
}

.testimonials__card-back p {
  place-self: center;
  font-size: 2rem;
  font-weight: 400;
  color: black;
}

.testimonials__card:first-child .testimonials__card-front {
  background-image: url("../img/Testimonials/testimonials-1.jpg");
}
.testimonials__card:nth-child(2) .testimonials__card-front {
  background-image: url("../img/Testimonials/testimonials-2.jpg");
}
.testimonials__card:nth-child(3) .testimonials__card-front {
  background-image: url("../img/Testimonials/testimonials-3.jpg");
}
.testimonials__card:nth-child(4) .testimonials__card-front {
  background-image: url("../img/Testimonials/testimonials-4.jpg");
}
.testimonials__card:nth-child(5) .testimonials__card-front {
  background-image: url("../img/Testimonials/testimonials-5.jpg");
}
.testimonials__card:nth-child(6) .testimonials__card-front {
  background-image: url("../img/Testimonials/testimonials-6.jpg");
}

.testimonials__card-back {
  transform: perspective(100rem) rotateY(0.5turn);
  background-color: var(--color-secondary);
}

.testimonials__card:hover .testimonials__card-front {
  transform: perspective(100rem) rotateY(0.5turn);
}

.testimonials__card:hover .testimonials__card-back {
  transform: perspective(100rem) rotateY(1turn);
}
/* ---------------------------------------------------------------------- */
footer#footer {
  background-color: var(--color-primary);
  grid-column: container-start / container-end;
  padding: 6vh 4vw;

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  place-items: center;
}

.footer__social-link > i:hover,
.footer__social-link > i:active {
  opacity: 0.6;
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .sr-only class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 1200px) {
  section#features_title {
    grid-column: container-start/col-end 1;
  }
}

@media only screen and (max-width: 1000px) {
  a:link,
  a:visited {
    font-size: calc(1rem + 1vw);
  }
}

@media only screen and (max-width: 800px) {
  section#booking_content {
    padding: 4vh 3vw;
    grid-column: center-start/center-end;
  }

  .booking_content__title {
    text-align: center;
  }

  .booking_content__text,
  .booking_content__icons > div > p {
    font-size: 2rem;
  }


  .booking_content__title::after {
    width: 20%;
    left: 40%;
  }

  section#booking_date {
    padding: 4vh 3vw;
    grid-column: center-start/center-end;
  }

  .booking_date__schedule {
    width: unset;
  }

  .booking_date__schedule-content {
    padding: 2rem;
    flex-direction: row;
    justify-content: space-around;
  }

  .booking_date__contact {
    padding-top: 4rem;
  }

  section#villas {
    grid-gap: 0;
  }

  footer#footer {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(2, 1fr);
    grid-row-gap: 3rem;
  }
}

@media only screen and (max-width: 600px) {
  .header__content--paragraph {
    font-size: 2rem;
  }

  .booking_date__schedule-content {
    flex-direction: column;
  }

  section#villas {
    grid-gap: 0;
  }

  div[class^="villas"] > p {
    margin: 1.5rem 0 4rem 0;
  }

  .header__content--paragraph,
  .booking_date__schedule-content > p ,
  .motto__content p,
  section#events-content > div p[class*="text"],
  section#features-content > div p[class*="text"]{
    font-weight: 300;
    font-size: 2rem;
  }

  .booking_date__schedule-title {
    font-size: 2rem;
  }

  section#events_content > div:first-child,
  section#events_content > div:last-child,
  section#features_content > div:first-child,
  section#features_content > div:last-child {
    border: none;
  }

  section#events_content,
  section#features_content {
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    grid-column: center-start / center-end;
  }

  section#events_title,
  section#features_title {
    display: none;
  }

  footer#footer {
    padding: 4vh 2vw;
  }
}

@media screen and (max-width: 400px) {
  .booking_date__contact {
    justify-self: center;
    padding: 0 2rem;
  }

  section#villas {
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  }
}

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  /*
   * Printing Tables:
   * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
   */
  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

